﻿@model List<DraftPortalView>

@{
    //Permisos para la Purchase Draft
    bool _ViewDraft = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseDraft.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _UpdateDraft = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseDraft.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    //Permisos para la Purchase Request
    bool _UpdatePurchaseRequest = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseRequest.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _AddPurchaseRequest = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseRequest.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _ViewPurchaseRequest = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseRequest.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    //Permisos para la Purchase Quotation
    bool _UpdatePurchaseQuotation = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseQuotation.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _AddPurchaseQuotation = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseQuotation.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _ViewPurchaseQuotation = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseQuotation.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    //Permisos para la Purchase Order
    bool _UpdatePurchaseOrder = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseOrder.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _AddPurchaseOrder = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseOrder.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _ViewPurchaseOrder = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseOrder.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    //Permisos para la Purchase Invoice
    bool _UpdatePurchaseInvoice = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseInvoice.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _ViewPurchaseInvoice = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseInvoice.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}

<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <i class="icon-calendar"></i>
        <h3 class="panel-title">@Drafts.DDL</h3>
    </div>
    
    <div class="panel-body">

        <div class="table-responsive">
            <table class="table table-striped">
                @if (Model.Count > 0)
                {
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>@Drafts.PD</th>
                            <th>@Drafts.RD</th>
                            <th>@PurchaseOrders.VC</th>
                            <th>@PurchaseOrders.VN</th>
                            <th>@Drafts.AS</th>
                            <th>@Drafts.DT</th>
                            <th>@Drafts.DS</th>
                            <th>&nbsp;</th>
                            <th>&nbsp;</th>
                            <th>&nbsp;</th>
                            <th>Order Total Amount</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach (DraftPortalView item in Model)
                        {
                            <tr>
                                <td>@item.DocEntry</td>
                                <td>@((item.DocDate != null && item.DocDate != DateTime.MinValue) ? item.DocDate.ToString().AsDateTime().ToShortDateString() : "")</td>
                                <td>@((item.ReqDate != null && item.ReqDate != DateTime.MinValue) ? item.ReqDate.ToString().AsDateTime().ToShortDateString() : "")</td>
                                <td>@item.CardCode</td>
                                <td>@item.CardName</td>
                                @switch (item.OWDDStatus)
                                {
                                    case "W":
                                        <td>Pending</td>
                                        break;
                                    case "Y":
                                    <td>Approved</td>
                                        break;
                                    case "N":
                                    <td>Rejected</td>
                                        break;
                                    case "P":
                                    <td>Generated</td>
                                        break;
                                    case "A":
                                    <td>Generated by Authorizer</td>
                                        break;
                                    case "C":
                                    <td>Canceled</td>
                                        break;
                                    default:
                                    <td>Out Of The Approval Process</td>
                                        break;
                                }
                                @switch (item.ObjType)
                                {
                                    case "22":
                                        <td>Purchase Order</td>
                                        if (item.DocStatus == "C") //aca puede estar cerrado el draft o el documento, en cualquiera de los 2 cosas solo tengo que hacer el view
                                        {
                                            <td>@Drafts.Close</td>
                                            <td>
                                                <button type="button" id="HistoryButton" onclick="GetHistory('@item.DocNum',@(item.OWDDObjType != null ? item.OWDDObjType : item.ObjType))" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#HistoryModal"><span class="glyphicon glyphicon-eye-open"></span>@Approval.VH</button>
                                            </td>
                                            <td>
                                                @if (_ViewPurchaseOrder)
                                                {
                                                    <a href='@Url.Action("ActionPurchaseOrder", "PurchaseOrder", new { @ActionPurchaseOrder = "View", @IdPO = item.DocEntry, @fromController = "MyDocuments" })' class="btn btn-primary btn-xs">
                                                        <span class="glyphicon glyphicon-eye-open"></span>&nbsp;@PurchaseOrders.View
                                                    </a>
                                                }
                                            </td>

                                        }
                                        else
                                        {
                                            if (!string.IsNullOrEmpty(item.PODocStatus))
                                            { //si esta seteada esta variable es un draft y como entro al else esta abierto
                                                <td>@Drafts.Open</td>
                                                <td>
                                                    <button type="button" id="HistoryButton" onclick="GetHistory('@item.DocEntry',@(item.OWDDObjType == null ? "0" : item.OWDDObjType))" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#HistoryModal"><span class="glyphicon glyphicon-eye-open"></span>@Approval.VH</button>
                                                </td>
                                                <td>
                                                    @if (_ViewDraft)
                                                    {
                                                        <a href='@Url.Action("ActionPurchaseOrder", "PurchaseOrder", new { @ActionPurchaseOrder = "ViewDraft", @IdPO = item.DocEntry, @fromController = "MyDocuments" })' class="btn btn-primary btn-xs">
                                                            <span class="glyphicon glyphicon-eye-open"></span>&nbsp;@PurchaseOrders.View
                                                        </a>
                                                    }
                                                </td>
                                            }
                                            else //es un documento en vez de un draft y esta abierto
                                            {
                                                <td>@Drafts.Open</td>
                                                <td>
                                                    @*Aca le pongo el gethistory con el objtype en vez del owddobjtype porque como no es un draft el servicio no setea dicha variable*@
                                                    <button type="button" id="HistoryButton" onclick="GetHistory('@item.DocEntry',@(item.ObjType == null ? "0" : item.ObjType))" class=" btn btn-primary btn-xs" data-toggle="modal" data-target="#HistoryModal"><span class="glyphicon glyphicon-eye-open"></span>@Approval.VH</button>
                                                </td>
                                                <td>
                                                    @if (_ViewPurchaseOrder)
                                                    {
                                                        <a href='@Url.Action("ActionPurchaseOrder", "PurchaseOrder", new { @ActionPurchaseOrder = "View", @IdPO = item.DocEntry, @fromController = "MyDocuments" })' class="btn btn-primary btn-xs">
                                                            <span class="glyphicon glyphicon-eye-open"></span>&nbsp;@PurchaseOrders.View
                                                        </a>
                                                    }
                                                    @if (_UpdatePurchaseOrder)
                                                    {
                                                        <a href='@Url.Action("ActionPurchaseOrder", "PurchaseOrder", new { @ActionPurchaseOrder = "Update", @IdPO = item.DocEntry, @fromController = "MyDocuments" })' class="btn btn-primary btn-xs">
                                                            <span class="glyphicon glyphicon-eye-open"></span>&nbsp;@PurchaseOrders.Edit
                                                        </a>
                                                    }
                                                </td>
                                            }
                                        }
                                        break;
                                    case "540000006":
                                    <td>Purchase Quotation</td>
                                        if (item.DocStatus == "C") //aca puede estar cerrado el draft o el documento, en cualquiera de los 2 cosas solo tengo que hacer el view
                                        {
                                            <td>@Drafts.Close</td>
                                            <td>
                                                <button type="button" id="HistoryButton" onclick="GetHistory('@item.DocNum',@(item.OWDDObjType == null ? "0" : item.OWDDObjType))" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#HistoryModal"><span class="glyphicon glyphicon-eye-open"></span>@Approval.VH</button>
                                            </td>
                                            <td>
                                                @if (_ViewPurchaseQuotation)
                                                {
                                                    <a href='@Url.Action("ActionPurchaseOrder", "PurchaseQuotation", new { @ActionPurchaseOrder = "View", @IdPO = item.DocEntry, @fromController = "MyDocuments" })' class="btn btn-primary btn-xs">
                                                        <span class="glyphicon glyphicon-eye-open"></span>&nbsp;@PurchaseOrders.View
                                                    </a>
                                                }
                                            </td>

                                        }
                                        else
                                        {
                                            if (!string.IsNullOrEmpty(item.PQDocStatus))
                                            { //si esta seteada esta variable es un draft y como entro al else esta abierto
                                                <td>@Drafts.Open</td>
                                                <td>
                                                    <button type="button" id="HistoryButton" onclick="GetHistory('@item.DocEntry',@(item.OWDDObjType == null ? "0" : item.OWDDObjType))" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#HistoryModal"><span class="glyphicon glyphicon-eye-open"></span>@Approval.VH</button>
                                                </td>
                                                <td>
                                                    @if (_ViewDraft)
                                                    {
                                                        <a href='@Url.Action("ActionPurchaseOrder", "PurchaseQuotation", new { @ActionPurchaseOrder = "ViewDraft", @IdPO = item.DocEntry, @fromController = "MyDocuments" })' class="btn btn-primary btn-xs">
                                                            <span class="glyphicon glyphicon-eye-open"></span>&nbsp;@PurchaseOrders.View
                                                        </a>
                                                    }
                                                </td>
                                            }
                                            else //es un documento en vez de un draft y esta abierto
                                            {
                                                <td>@Drafts.Open</td>
                                                <td>
                                                    @*Aca le pongo el gethistory con el objtype en vez del owddobjtype porque como no es un draft el servicio no setea dicha variable*@
                                                    <button type="button" id="HistoryButton" onclick="GetHistory('@item.DocEntry',@(item.ObjType == null ? "0" : item.ObjType))" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#HistoryModal"><span class="glyphicon glyphicon-eye-open"></span>@Approval.VH</button>
                                                </td>
                                                <td>
                                                    @if (_ViewPurchaseQuotation)
                                                    {
                                                        <a href='@Url.Action("ActionPurchaseOrder", "PurchaseQuotation", new { @ActionPurchaseOrder = "View", @IdPO = item.DocEntry, @fromController = "MyDocuments" })' class="btn btn-primary btn-xs">
                                                            <span class="glyphicon glyphicon-eye-open"></span>&nbsp;@PurchaseOrders.View
                                                        </a>
                                                    }
                                                    @if (_UpdatePurchaseQuotation)
                                                    {
                                                        <a href='@Url.Action("ActionPurchaseOrder", "PurchaseQuotation", new { @ActionPurchaseOrder = "Update", @IdPO = item.DocEntry, @fromController = "MyDocuments" })' class="btn btn-primary btn-xs">
                                                            <span class="glyphicon glyphicon-eye-open"></span>&nbsp;@PurchaseOrders.Edit
                                                        </a>
                                                    }
                                                </td>
                                            }
                                        }
                                        break;
                                    case "1470000113":
                                    <td>Purchase Request</td>
                                        if (item.DocStatus == "C") //aca puede estar cerrado el draft o el documento, en cualquiera de los 2 cosas solo tengo que hacer el view
                                        {
                                            <td>@Drafts.Close</td>
                                            <td>
                                                <button type="button" id="HistoryButton" onclick="GetHistory('@item.DocNum',@(item.OWDDObjType == null ? "0" : item.OWDDObjType))" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#HistoryModal"><span class="glyphicon glyphicon-eye-open"></span>@Approval.VH</button>
                                            </td>
                                            <td>
                                                @if (_ViewPurchaseRequest)
                                                {
                                                    <a href='@Url.Action("ActionPurchaseRequest", "PurchaseRequest", new { @ActionPurchaseRequest = "View", @IdPR = item.DocEntry, @fromController = "MyDocuments" })' class="btn btn-primary btn-xs">
                                                        <span class="glyphicon glyphicon-eye-open"></span>&nbsp;@PurchaseOrders.View
                                                    </a>
                                                }
                                            </td>

                                        }
                                        else
                                        {
                                            if (!string.IsNullOrEmpty(item.PRDocStatus))
                                            { //si esta seteada esta variable es un draft y como entro al else esta abierto
                                                <td>@Drafts.Open</td>
                                                <td>
                                                    <button type="button" id="HistoryButton" onclick="GetHistory('@item.DocEntry',@(item.OWDDObjType == null ? "0" : item.OWDDObjType))" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#HistoryModal"><span class="glyphicon glyphicon-eye-open"></span>@Approval.VH</button>
                                                </td>
                                                <td>
                                                    @if (_ViewDraft)
                                                    {
                                                        <a href='@Url.Action("ActionPurchaseRequest", "PurchaseRequest", new { @ActionPurchaseRequest = "ViewDraft", @IdPR = item.DocEntry, @fromController = "MyDocuments" })' class="btn btn-primary btn-xs">
                                                            <span class="glyphicon glyphicon-eye-open"></span>&nbsp;@PurchaseOrders.View
                                                        </a>
                                                    }
                                                </td>
                                            }
                                            else //es un documento en vez de un draft y esta abierto
                                            {
                                                <td>@Drafts.Open</td>
                                                <td>
                                                    @*Aca le pongo el gethistory con el objtype en vez del owddobjtype porque como no es un draft el servicio no setea dicha variable*@
                                                    <button type="button" id="HistoryButton" onclick="GetHistory('@item.DocEntry',@(item.ObjType == null ? "0" : item.ObjType))" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#HistoryModal"><span class="glyphicon glyphicon-eye-open"></span>@Approval.VH</button>
                                                </td>
                                                <td>
                                                    @if (_ViewPurchaseRequest)
                                                    {
                                                        <a href='@Url.Action("ActionPurchaseRequest", "PurchaseRequest", new { @ActionPurchaseRequest = "View", @IdPR = item.DocEntry, @fromController = "MyDocuments" })' class="btn btn-primary btn-xs">
                                                            <span class="glyphicon glyphicon-eye-open"></span>&nbsp;@PurchaseOrders.View
                                                        </a>
                                                    }
                                                    @if (_UpdatePurchaseRequest)
                                                    {
                                                        <a href='@Url.Action("ActionPurchaseRequest", "PurchaseRequest", new { @ActionPurchaseRequest = "Update", @IdPR = item.DocEntry, @fromController = "MyDocuments" })' class="btn btn-primary btn-xs">
                                                            <span class="glyphicon glyphicon-eye-open"></span>&nbsp;@PurchaseOrders.Edit
                                                        </a>
                                                    }
                                                </td>
                                            }
                                        }
                                        break;
                                    case "18":
                                        <td>Purchase Invoice</td>
                                        if (item.DocStatus == "C") //aca puede estar cerrado el draft o el documento, en cualquiera de los 2 cosas solo tengo que hacer el view
                                        {
                                            <td>@Drafts.Close</td>
                                            <td>
                                                <button type="button" id="HistoryButton" onclick="GetHistory('@item.DocNum',@(item.OWDDObjType != null ? item.OWDDObjType : item.ObjType))" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#HistoryModal"><span class="glyphicon glyphicon-eye-open"></span>@Approval.VH</button>
                                            </td>
                                            <td>
                                                @if (_ViewPurchaseInvoice)
                                                {
                                                    <a href='@Url.Action("ActionPurchaseInvoice", "PurchaseInvoice", new { @ActionPurchaseInvoice = "View", @IdPI = item.DocEntry, @fromController = "MyDocuments" })' class="btn btn-primary btn-xs">
                                                        <span class="glyphicon glyphicon-eye-open"></span>&nbsp;@PurchaseOrders.View
                                                    </a>
                                                }
                                            </td>

                                        }
                                        else
                                        {
                                            if (!string.IsNullOrEmpty(item.PODocStatus))
                                            { //si esta seteada esta variable es un draft y como entro al else esta abierto
                                                <td>@Drafts.Open</td>
                                                <td>
                                                    <button type="button" id="HistoryButton" onclick="GetHistory('@item.DocEntry',@(item.OWDDObjType == null ? "0" : item.OWDDObjType))" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#HistoryModal"><span class="glyphicon glyphicon-eye-open"></span>@Approval.VH</button>
                                                </td>
                                                <td>
                                                    @if (_ViewDraft)
                                                    {
                                                        <a href='@Url.Action("ActionPurchaseInvoice", "PurchaseInvoice", new { @ActionPurchaseInvoice = "ViewDraft", @IdPI = item.DocEntry, @fromController = "MyDocuments" })' class="btn btn-primary btn-xs">
                                                            <span class="glyphicon glyphicon-eye-open"></span>&nbsp;@PurchaseOrders.View
                                                        </a>
                                                    }
                                                </td>
                                            }
                                            else //es un documento en vez de un draft y esta abierto
                                            {
                                                <td>@Drafts.Open</td>
                                                <td>
                                                    @*Aca le pongo el gethistory con el objtype en vez del owddobjtype porque como no es un draft el servicio no setea dicha variable*@
                                                    <button type="button" id="HistoryButton" onclick="GetHistory('@item.DocEntry',@(item.ObjType == null ? "0" : item.ObjType))" class=" btn btn-primary btn-xs" data-toggle="modal" data-target="#HistoryModal"><span class="glyphicon glyphicon-eye-open"></span>@Approval.VH</button>
                                                </td>
                                                <td>
                                                    @if (_ViewPurchaseInvoice)
                                                    {
                                                        <a href='@Url.Action("ActionPurchaseInvoice", "PurchaseInvoice", new { @ActionPurchaseInvoice = "View", @IdPI = item.DocEntry, @fromController = "MyDocuments" })' class="btn btn-primary btn-xs">
                                                            <span class="glyphicon glyphicon-eye-open"></span>&nbsp;@PurchaseOrders.View
                                                        </a>
                                                    }
                                                    @if (_UpdatePurchaseInvoice)
                                                    {
                                                        <a href='@Url.Action("ActionPurchaseInvoice", "PurchaseInvoice", new { @ActionPurchaseInvoice = "Update", @IdPI = item.DocEntry, @fromController = "MyDocuments" })' class="btn btn-primary btn-xs">
                                                            <span class="glyphicon glyphicon-eye-open"></span>&nbsp;@PurchaseOrders.Edit
                                                        </a>
                                                    }
                                                </td>
                                            }
                                        }
                                        break;
                                    default:
                                        break;
                                }
                                @if (item.WddStatus == "Y")
                                {
                                    <td>
                                        @if (_UpdateDraft)
                                        {
                                            <button type="button" onclick="CreateDocument('@item.DocEntry')" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#ApproveModal"><span class="glyphicon glyphicon-search"></span>@Drafts.CD</button>
                                        }
                                    </td>
                                }
                                else
                                {
                                    <td>&nbsp;</td>
                                }
                                <td align="right">@(item.DocTotal != null ? Math.Round((decimal)item.DocTotal, 2) : 0)</td>
                            </tr>
                        }
                        <tr>
                            @*<td>&nbsp;</td>
                                <td>&nbsp;</td>
                                <td>&nbsp;</td>
                                <td>&nbsp;</td>*@
                            <td colspan="9" align="right">Total Amount</td>
                            <td align="right">
                                @{
                    DraftPortalView dpv = Model.Where(c => c.ObjType == "22").GroupBy(p => p.ObjType).Select(t => new DraftPortalView() { DocTotal = t.Sum(s => s.DocTotal) }).FirstOrDefault();

                                }
                                @(dpv != null ? Math.Round((decimal)dpv.DocTotal, 2) : 0)
                            </td>

                            @*<td>&nbsp;</td>
                                <td>&nbsp;</td>*@
                        </tr>
                    </tbody>
                }
                else
                {
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>@Drafts.PD</th>
                            <th>@Drafts.RD</th>
                            <th>@Drafts.AS</th>
                            <th>@Drafts.DT</th>
                            <th>@Drafts.DS</th>
                            <th>&nbsp;</th>
                            <th>&nbsp;</th>
                            <th>Order Total Amount</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td colspan="9">@PurchaseOrders.NDTD</td>
                        </tr>
                    </tbody>
                }
            </table>
        </div>

    </div>

</div>

<div class="but_blok_footer">
    <div class="btn-group pull-right dropup">
        <button type="button" class="btn btn-success btn-lg dropdown-toggle" data-toggle="dropdown" aria-expanded="false">@Drafts.AddDocument <span class="caret"></span></button>
        <ul class="dropdown-menu" role="menu">
            @if (_AddPurchaseRequest)
            {
                <li><a href="@Url.Action("ActionPurchaseRequest", "PurchaseRequest", new { @ActionPurchaseRequest = "Add", @IdPR = 0, @fromController = "MyDocuments" })">@PurchaseRequest.PR</a></li>
            }
            @if (_AddPurchaseQuotation)
            {
                <li><a href="@Url.Action("ActionPurchaseOrder", "PurchaseQuotation", new { @ActionPurchaseOrder = "Add", @IdPO = 0, @fromController = "MyDocuments" })">@PurchaseQuotation.PQ</a></li>
            }
            @if (_AddPurchaseOrder)
            {
                <li><a href="@Url.Action("ActionPurchaseOrder", "PurchaseOrder", new { @ActionPurchaseOrder = "Add", @IdPO = 0, @fromController = "MyDocuments" })">@PurchaseOrders.PO</a></li>
            }
        </ul>
    </div>
</div>